﻿:root {
  --white: #ffffff;
  --black: #000000;

  --primary: #8a9a5b;
  --bg: #fdf7f0;
  --feature-bg: #f9fafb;

  --shadow-color: rgba(0, 0, 0, 0.25);
  --shadow-sm: 0 3px 3px var(--shadow-color);
  --active-overlay: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
  --btn-top-overlay:
    linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), var(--white);

  --gray-200: #e0e0e0;
  --gray-500: #777777;
  --gray-900: #111111;

  --text-sm: 0.875rem; /*14px*/
  --text-base: 1rem; /*16px*/
  --text-lg: 1.25rem; /*20px*/
  --text-xl: 1.5rem; /*24px*/
  --text-2xl: 2rem; /*32px*/
  --text-3xl: 2.5rem; /*40px*/
  --text-4xl: 3rem; /*48px*/
  --text-5xl: 3.5rem; /*56px*/

  --weight-regular: 400;
  --weight-medium: 500;
  --weight-semibold: 600;
  --weight-bold: 700;
  --weight-extrabold: 800;

  --line-height: 1.4;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*:focus {
  outline: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Pretendard";
  color: var(--gray-900);
  background: var(--white);
  word-break: keep-all;
  white-space: nowrap;
  font-weight: var(--weight-semibold);
  line-height: var(--line-height);
}

a {
  text-decoration: none;
  color: inherit;
}

a[href] {
  cursor: pointer;
}

img {
  -webkit-user-drag: none;
  user-select: none;
}

button {
  background: none;
  border: none;
  outline: none;
  box-shadow: none;
  cursor: pointer;
}

.device-mobile.orientation-portrait .br-pc {
  display: none;
}

.device-desktop .br-mo,
.device-tablet .br-mo,
.device-mobile.orientation-landscape .br-mo {
  display: none;
}

.orientation-landscape .hide-on-landscape {
  display: none;
}
